Upgrade HttpClient libraries #125

ctasada opened this Issue Dec 20, 2012 · 0 comments

1 participant



Even when with the 0.96 the httpclient libraries where upgraded, some bugs and regression problems where found since then.


I thing we should upgrade to, at least, 4.1.4

The 4.2.3 release says:

This maintenance release fixes a number of bugs and found since 4.2.2 including
a major bug in the NIO module that can cause an infinite loop in SSL sessions under special
circumstances when the remote peer terminates the session in the middle of SSL handshake.
Please note this issue does not affect blocking I/O components used by HttpClient.

We advise users of HttpCore NIO of all versions to upgrade.


Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment